summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorOliver Mangold2015-08-02 18:04:17 +0200
committerOliver Mangold2015-08-02 18:08:32 +0200
commit86d19d743ed32a08fe30c10eec29ed25edc6f39f (patch)
treeded4738bc8365f0ffc5a2548137ead06ef199b70
downloadaur-86d19d743ed32a08fe30c10eec29ed25edc6f39f.tar.gz
converted to git
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD24
2 files changed, 42 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9afdb265dc9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = perl-ogg-vorbis-header
+ pkgdesc = Perl CPAN module Ogg::Vorbis::Header
+ pkgver = 0.03
+ pkgrel = 5
+ url = http://search.cpan.org/~dbp/Ogg-Vorbis-Header-0.03/Header.pm
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = perl-inline
+ depends = perl
+ depends = libvorbis
+ options = !emptydirs
+ options = purge
+ source = http://search.cpan.org/CPAN/authors/id/D/DB/DBP/Ogg-Vorbis-Header-0.03.tar.gz
+ sha256sums = a683109f3625f70e01538eb27bac19d3f271a03cae999c69418f31af51dfd980
+
+pkgname = perl-ogg-vorbis-header
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..61f21695791
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Contributor: Georg Grabler (STiAT) <ggrabler@gmail.com>
+# Contributor: Daenyth
+# Contributor: omangold
+
+pkgname=perl-ogg-vorbis-header
+pkgver=0.03
+pkgrel=5
+pkgdesc="Perl CPAN module Ogg::Vorbis::Header"
+url="http://search.cpan.org/~dbp/Ogg-Vorbis-Header-0.03/Header.pm"
+license=(GPL)
+depends=(perl libvorbis)
+makedepends=(perl-inline)
+arch=(i686 x86_64)
+options=(!emptydirs purge)
+
+source=(http://search.cpan.org/CPAN/authors/id/D/DB/DBP/Ogg-Vorbis-Header-$pkgver.tar.gz)
+sha256sums=('a683109f3625f70e01538eb27bac19d3f271a03cae999c69418f31af51dfd980')
+
+package() {
+ cd $srcdir/Ogg-Vorbis-Header-$pkgver
+ perl Makefile.PL || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+}